<div class="row">
  <div class="col-12 d-flex justify-content-between align-items-center">
    <div class="title-warpper">
      <div class="row" style="cursor: pointer;" (click)="backToDashboardPage()">
        <span class="col-1">
          <img src="assets/img/chevron-left.svg" class="back-btn">
        </span>
        <span class="col-11 head-title">Boardcast</span>
      </div>
      <span class="sub-title">เพิ่มการประกาศข่าวและค้นหาประกาศข่าวที่ต้องการ</span>
    </div>
  </div>
</div>
<br><br>

<div class="row ">
  <div class="col-6">
    <span class="title" style="padding-left: 18px;width: 1260px;">ค้นหา Boardcast</span>
  </div>
  <!-- <span class="col-6 showless" (click)="viewDetail()" >แสดงผลน้อยลง</span> -->
  <div class="col-6 btn-all">
    <label class="show" (click)='ShowSearch()' *ngIf="this.showsearch === true">แสดงผลน้อยลง</label>
    <label class="show" (click)='ShowSearch()' *ngIf="this.showsearch !== true">แสดงผลเพิ่มเติม</label>
  </div>
</div>

<div class="row">
  <div class="col-12">
    <hr>
  </div>
</div>
<div *ngIf="this.showsearch === true" style="margin-top: 12px;">
  <div class="card-boardcast">
    <div class="card-warpper">
      <div class="title-card">
        กรุณาระบุเงื่อนไขในการค้นหา
      </div>
      <div class="container-fulid input-form-card">
        <div class="row mt-4">
          <div class="col col-md-6">
            <div class="form-group">
              <label for="division">หัวข้อประกาศ</label>
              <input type="text" class="form-control" id="name" aria-describedby="emailHelp" style="margin-top: 13px;"
                placeholder="กรอกหัวข้อประกาศ" [(ngModel)]="data_searh.topic">
            </div>
          </div>
          <div class="col col-md-6">
            <div class="form-group">
              <label for="workgroup">สถานะ</label>
              <select class="browser-default custom-select" [(ngModel)]="data_searh.status" style="margin-top: 13px;">
                <option value="" selected disabled>กรุณาเลือกสถานะการประกาศข่าว</option>
                <option value=true>Active</option>
                <option value=false>In Active</option>
              </select>
            </div>
          </div>


          <div class="col col-md-12">
            <div class="form-group">
              <label for="name" style="margin-top: 14px;">ช่วงเวลาที่ประกาศ</label>
              <div class="row">
                <div class="d-flex align-items-center" style="margin-left: 16px;">ตั้งแต่ :</div>
                <div class="input-warpper">
                  <!-- <div class="input-warpper">
                  <div class="icon-warpper1">
                    <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp_start.toggleCalendar()">
                  </div>
                  <input angular-mydatepicker type="text" name="myDpOptionsStart" 
                    class="form-control" placeholder="กรุณาเลือกช่วงเวลาที่ประกาศข่าว" [options]="myDpOptionsStart"
                    #dp_start="angular-mydatepicker" (click)="dp_start.toggleCalendar()"  (dateChanged)="onDateChanged($event,'start_date')"/>
                </div> -->
                  <!-- range calendar  -->
                  <div class="input-calendar" style="height: 48px;width: 488px;margin-left: 15.5px;">
                    <input type="text" class="form-control" placeholder="กรุณาเลือกช่วงเวลาที่ประกาศ"
                      [(ngModel)]="startDate[0].selectedDate" (focus)="openCalendar(0,'startDate')"
                      (ngModelChange)="input_date()" (click)="closeCalendar(0,'endDate')" />
                    <img src="../../../../assets/img/calendar.svg" class="btn-date"
                      (click)="openCalendar(0,'startDate')" (click)="closeCalendar(0,'endDate')" />
                    <i class="fa fa-close btn-delete" *ngIf="startDate[0].selectedDate"
                      (click)="clearCalendar(0,'startDate')"></i>
                  </div>
                  <div class="calendar-warpper-2" *ngIf="startDate[0].calendarState">
                    <div class="body-calendar">
                      <mat-calendar [selected]="startDate[0].selectedStartDate"
                        (selectedChange)="onSelectStart($event, 0, 'startDate')"
                        [startAt]="startDate[0].selectedStartDate">
                      </mat-calendar>
                    </div>
                    <div class="footer-calendar">
                      <button class="btn-apply mat-flat-button mat-primary" color="primary" mat-flat-button
                        (click)="applyCalendar(0,'startDate')">
                        ตกลง
                      </button>
                      <button class="btn-close mat-flat-button " (click)="closeCalendar(0,'startDate')">
                        ปิด
                      </button>
                    </div>
                  </div>
                  <div class="calendar-backdrop" *ngIf="startDate[0].calendarState" (click)="closeCalendar(0)"></div>
                  <!-- end range calendar  -->

                </div>
                <div class="d-flex align-items-center" style="margin-left: 31px;margin-right: 15.5px;">ถึง :</div>
                <!-- <div class="col-4">
                <div class="input-warpper">
                  <div class="icon-warpper1">
                    <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp_end.toggleCalendar()">
                  </div>
                  <input angular-mydatepicker type="text" name="myDpOptionsEnd" 
                    class="form-control" placeholder="กรุณาเลือกช่วงเวลาที่ประกาศข่าว" [options]="myDpOptionsEnd"
                    #dp_end="angular-mydatepicker" (click)="dp_end.toggleCalendar()"  (dateChanged)="onDateChanged($event,'end_date')"/>
                </div>
              </div> -->
                <div class="input-warpper">
                  <!-- <div class="input-warpper">
                  <div class="icon-warpper1">
                    <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="dp_start.toggleCalendar()">
                  </div>
                  <input angular-mydatepicker type="text" name="myDpOptionsStart" 
                    class="form-control" placeholder="กรุณาเลือกช่วงเวลาที่ประกาศข่าว" [options]="myDpOptionsStart"
                    #dp_start="angular-mydatepicker" (click)="dp_start.toggleCalendar()"  (dateChanged)="onDateChanged($event,'start_date')"/>
                </div> -->
                  <!-- range calendar  -->
                  <div class="input-calendar" style="height: 48px;width: 488px;">
                    <input type="text" class="form-control" placeholder="กรุณาเลือกช่วงเวลาที่ประกาศ"
                      [(ngModel)]="endDate[0].selectedDate" (focus)="openCalendar(0,'endDate')"
                      (ngModelChange)="input_date()" (click)="closeCalendar(0,'startDate')" />
                    <img src="../../../../assets/img/calendar.svg" class="btn-date" (click)="openCalendar(0,'endDate')"
                      (click)="closeCalendar(0,'startDate')" />
                    <i class="fa fa-close btn-delete" *ngIf="endDate[0].selectedDate"
                      (click)="clearCalendar(0,'endDate')"></i>
                  </div>
                  <div class="calendar-warpper-2" *ngIf="endDate[0].calendarState">
                    <div class="body-calendar">
                      <mat-calendar [selected]="endDate[0].selectedStartDate"
                        (selectedChange)="onSelectEnd($event, 0, 'endDate')" [startAt]="endDate[0].selectedStartDate">
                      </mat-calendar>
                    </div>
                    <div class="footer-calendar">
                      <button class="btn-apply mat-flat-button mat-primary" color="primary"
                        (click)="applyCalendar(0,'endDate')">
                        ตกลง
                      </button>
                      <button class="btn-close mat-flat-button" (click)="closeCalendar(0,'endDate')">
                        ปิด
                      </button>
                    </div>
                  </div>
                  <div class="calendar-backdrop" *ngIf="endDate[0].calendarState" (click)="closeCalendar(0)"></div>
                  <!-- end range calendar  -->

                </div>

                <div style="margin-left: 33px;">
                  <button mat-flat-button class="btn search-btn" (click)="searchResult()"
                    (click)="closeCalendar(0,'endDate')" (click)="closeCalendar(0,'startDate')">ค้นหา</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
<br>

<div>
  <div class="row">
    <div class="col-6">
      <span class="title" style="margin-left: 14px;">Boardcast</span>
    </div>
    <div class="col-6 btn-all">
      <button class="btn delete-news-button" (click)="deleteNews()" (click)="closeCalendar(0,'endDate')"
        (click)="closeCalendar(0,'startDate')">ลบประกาศข่าว</button>

      <button class="btn add-news-button " (click)="addDialog()" (click)="closeCalendar(0,'endDate')"
        (click)="closeCalendar(0,'startDate')">
        <img src="assets/img/plus_icon.svg"> เพิ่มการประกาศข่าว</button>
    </div>
  </div>
  <div class="row" style="padding-bottom: 10px;">
    <div class="col-12">
      <hr>
    </div>
  </div>

  <div [ngStyle]="{display:search_data ==false? 'none': ''}">
    <div class="card-boardcast">
      <div class="table-responsives table-striped">
        <table mat-table [dataSource]="dataSourceSearch" class="mat-elevation-z8 mt-3 table-search">

          <!-- select Column -->
          <ng-container matColumnDef="select">
            <th mat-header-cell *matHeaderCellDef [ngStyle]="{display:check_delete_news ==false? 'none': ''}">
              <mat-checkbox (change)="$event ? masterToggle() : null"
                [checked]="selection.hasValue() && isAllSelected()"
                [indeterminate]="selection.hasValue() && !isAllSelected()" [aria-label]="checkboxLabel()">
              </mat-checkbox>

            </th>
            <td mat-cell *matCellDef="let row" [ngStyle]="{display:check_delete_news ==false? 'none': ''}">
              <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null"
                [checked]="selection.isSelected(row)" [aria-label]="checkboxLabel(row)">
              </mat-checkbox>
            </td>
          </ng-container>

          <!-- Empoyeeid Column -->
          <ng-container matColumnDef="no">
            <th mat-header-cell *matHeaderCellDef
              style="text-align: center;padding-left: 6px;padding-right: 6px;width: 96px;">ลำดับ
            </th>
            <td mat-cell *matCellDef="let element; let i = index;" (click)="add(element)"> {{i+1}} </td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="topic">
            <th mat-header-cell *matHeaderCellDef style="text-align: left;width: 500px;">หัวข้อประกาศ</th>
            <td mat-cell *matCellDef="let element"
              style="text-align: left;padding-right: 6px;word-wrap: break-word;max-width: 500px;">
              {{element.topic}}
            </td>
          </ng-container>

          <!-- Position Column -->
          <ng-container matColumnDef="announcement_date">
            <th mat-header-cell *matHeaderCellDef style="text-align: center;">วันที่ประกาศข่าว</th>
            <td mat-cell *matCellDef="let element" style="padding-left: 6px;padding-right: 6px;">
              {{element.informationDate}} </td>
          </ng-container>

          <!-- Department Column -->
          <ng-container matColumnDef="start_date">
            <th mat-header-cell *matHeaderCellDef style="text-align: center;">วันที่เริ่มใช้งาน</th>
            <td mat-cell *matCellDef="let element" style="padding-left: 6px;padding-right: 6px;">
              {{element.informationStartDate}} </td>
          </ng-container>

          <!-- Workgroup Column -->
          <ng-container matColumnDef="end_date">
            <th mat-header-cell *matHeaderCellDef style="text-align: center;">วันที่สิ้นสุดการใช้งาน</th>
            <td mat-cell *matCellDef="let element" style="padding-left: 6px;padding-right: 6px;">
              {{element.informationEndDate}} </td>
          </ng-container>

          <!-- Division Column -->
          <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef style="text-align: center;">สถานะ</th>
            <td mat-cell *matCellDef="let element" style="padding-left: 6px;padding-right: 6px;">
              <span class="status-icon _approve" *ngIf="element.inforstatus === true">
                Active</span>
              <span class="status-icon _edit" *ngIf="element.inforstatus !== true">
                In Active</span>
            </td>
          </ng-container>

          <!-- Division Column -->
          <ng-container matColumnDef="creator">
            <th mat-header-cell *matHeaderCellDef style="text-align: center;">ผู้ทำรายการ</th>
            <td mat-cell *matCellDef="let element" style="padding-left: 6px;padding-right: 6px;"> {{element.creator}}
            </td>
          </ng-container>
          <!-- Division Column -->
          <ng-container matColumnDef="edit">
            <th mat-header-cell *matHeaderCellDef style="text-align: center;padding-left: 6px;padding-right: 6px;">แก้ไข
            </th>
            <td mat-cell *matCellDef="let element;let i = index;" style="padding-left: 6px;padding-right: 6px;">
              <span (click)="editDialog(i)" class="edit" (click)="closeCalendar(0,'endDate')"
                (click)="closeCalendar(0,'startDate')">แก้ไข
              </span>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
      </div>
    </div>


    <br><br>

    <div class="row box-submit" [ngStyle]="{display:check_delete_news ==false? 'none': ''}">
      <div class="col-6">
        <!-- <button mat-flat-button class="btn-cancel" (click)="cancel()">ยกเลิก</button> -->
      </div>
      <div class="col-3" style="text-align: right;">
        <span class="text-select-total ">กำลังเลือกทั้งหมด {{selection.selected.length}} รายการ</span>
      </div>
      <div class="col-3" style="text-align: right;">
        <button class="btn btn-add-permission" (click)="deleteDialog()" [disabled]="selection.selected.length === 0">
          ลบข้อมูลประกาศข่าว
        </button>
      </div>
    </div>
  </div>
</div>

<div class="non-data" [ngStyle]="{display:search_data ==false? '': 'none'}">
  <label class="mt-4">
    ไม่มีรายการที่แสดง
  </label>

</div>